# $Id: perl-RPM4.spec 141783 from Mageia

%define module	RPM4
%define name	perl-%{module}
%define version	0.27
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl bindings to use rpmlib and manage hdlist files
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/RPM4/

BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	rpm-devel
BuildRequires:	perl-Digest-SHA1
#BuildRequires:	librpmconstant-devel
BuildRequires:	gnupg

# we can now expect librpm API to be at least backward compatible
Requires:	rpm >= 4.8.0

%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It includes:
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

%prep
%setup -q -n %{module}-%{version}
touch ChangeLog

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
#PERL5DIR=`pwd`/src/blib/arch TMPDIR=/tmp %make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%defattr(-,root,root)
%doc README
%doc examples
%_bindir/*
%{perl_vendorarch}/auto/*/*
%{perl_vendorarch}/%{module}/*
%{perl_vendorarch}/%{module}.pm
%{_mandir}/*/*


